Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.identity
Interface ValueStore

All Known Implementing Classes:
  XMLSchemaValidator.ValueStoreBase

public interface ValueStore

Interface for storing values associated to an identity constraint. Each value stored corresponds to a field declared for the identity constraint. One instance of an object implementing this interface is created for each identity constraint per element declaration in the instance document to store the information for this identity constraint.

Note: The component performing identity constraint collection and validation is responsible for providing an implementation of this interface. The component is also responsible for performing the necessary checks required by each type of identity constraint.

Version:
  $Id: ValueStore.java,v 1.5 2003/09/25 22:59:21 elena Exp $
Author:
  Andy Clark, IBM

Method Summary
`void` | `addValue(Field field, java.lang.Object actualValue)` Adds the specified value to the value store.
`void` | `reportError(java.lang.String key, java.lang.Object[] args)` Since the valueStore will have access to an error reporter, this allows it to be called appropriately.

Method Detail

### addValue

    public void addValue(Field field,
                         java.lang.Object actualValue)

  Adds the specified value to the value store.
  Parameters:
    `field` - The field associated to the value. This reference is used to ensure that each field only adds a value once within a selection scope.
    `value` - The value to add.

### reportError

    public void reportError(java.lang.String key,
                            java.lang.Object[] args)

  Since the valueStore will have access to an error reporter, this allows it to be called appropriately.
  Parameters:
    `key` - the key of the localized error message
    `args` - the list of arguments for substitution.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.